GitLab is used only for code review, issue tracking and project management. Canonical locations for source code are still https://gitweb.torproject.org/ https://git.torproject.org/ and git-rw.torproject.org.

Verified Commit 1d426e5c authored by Georg Koppen's avatar Georg Koppen
Browse files

Bug 40041: Remove CentOS 6 support for 10.5 series

CentOS 6 will be EOL later this year (Nov 2020). We are removing support
for it beginning with 10.5 which will get released around mid-2021.
parent 0df5964a
......@@ -11,30 +11,6 @@ add_LD_LIBRARY_PATH() {
fi
}
# Bug 27552: On CentOS/RHEL 6, we need to add the firefox bundled dir
# to LD_LIBRARY_PATH
if test -f /etc/system-release-cpe
then
if test "$(cut -d : -f 3 /etc/system-release-cpe)" = centos || \
test "$(cut -d : -f 3 /etc/system-release-cpe)" = "enterprise_linux"
then
if test "$(cut -d : -f 5 /etc/system-release-cpe)" = "6"
then
if test -d /usr/lib64/firefox/bundled/lib64
then
add_LD_LIBRARY_PATH /usr/lib64/firefox/bundled/lib64
elif test -d /usr/lib/firefox/bundled/lib
then
add_LD_LIBRARY_PATH /usr/lib/firefox/bundled/lib
else
echo "Error: the firefox package (version 60 or more) is not installed." >&2
echo "On CentOS/RHEL 6, Tor Browser requires the firefox package to be installed." >&2
exit 1
fi
fi
fi
fi
# Check if the system has a more recent version of libstdc++.so.6; if yes, use
# that instead of the bundled version.
"$basedir/abicheck" >/dev/null 2>&1
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment